#!/bin/bash

function load_preinst(){
    local base_dir="boot"
    local common_str="dpkg-divert --package rpikernelhack --rename --divert /usr/share/rpikernelhack/"
    local output="output_pre"
    for e_1 in `ls ${base_dir}`
    do
        local e_file="${base_dir}/${e_1}"
        if [ -f ${e_file} ];then
            echo "${common_str}${e_1} /${e_file}" >> $output
        fi
    done

    for e_2 in `ls ${base_dir}/overlays`
    do
        local e_file="${base_dir}/overlays/${e_2}"
        if [ -f ${e_file} ];then
            echo "${common_str}overlays/${e_2} /${e_file}" >> $output
        fi
    done
}

function load_postinst(){
    local base_dir="boot"
    local common_str="dpkg-divert --package rpikernelhack --rename --remove"
    local output="output_postinst"
    for e_1 in `ls ${base_dir}`
    do
        local e_file="${base_dir}/${e_1}"
        if [ -f ${e_file} ];then
            echo "if [ -f /usr/share/rpikernelhack/${e_1} ]; then" >> $output
            echo "  rm -f /boot/${e_1}" >> $output
            echo "  ${common_str} /boot/${e_1}" >> $output
            echo "  sync" >> $output
            echo "fi" >> $output
        fi
    done

    for e_2 in `ls ${base_dir}/overlays`
    do
        local e_file="${base_dir}/overlays/${e_2}"
        if [ -f ${e_file} ];then
            echo "if [ -f /usr/share/rpikernelhack/overlays/${e_2} ]; then" >> $output
            echo "  rm -f /boot/overlays/${e_2}" >> $output
            echo "  ${common_str} /boot/overlays/${e_2}" >> $output
            echo "  sync" >> $output
            echo "fi" >> $output
        fi
    done
}

load_preinst
load_postinst
